Wednesday, 10am
https://docs.google.com/document/d/11GylkA-7AozM5EaWIcXWgmg8mvCz4hWUNox5VvHxRxA/edit#

Rui: Rahul is in the office (Starting today)
Is software engineer and working on machine learning. 
Maruf is working with machine learning, too. 

Rui: everyone introduce yourself and work

Edison:
New sentinel-2 has arrived. 
Reading on sentinel-2, is different from previous one and he is reading about the new version. dataset new crawler.  

About ERA5 data difference. fourcastnet 0 to 360. NCI have -180 to +180, that is why value difference. 
depend on the Grid spec, can get different data. 
Edison: may need retraining of data, preprocessing may not work. 
Rui: do a demo on inference. 
Edison: we will likely have the same problem, with climax and g/data/ 
Rui: retrain need resources, 
talk with Ben next week about resources to retrain Fourcastnet. 

Rui: also working with singularity, and updated in the module with Climax
did not use MPI.
**Write notebook with prediction, write two sections, for train and inference.**

Rui: use the documentations for workshop, so update the docs.
Rahul will work on AI 

Yui: Asked for MPI and NCCL. Rui gave his version: /g/data/fp0/apps/climax/0.2.3/bin/torch_lightning_python

Yui work: 
torch profiler, easy to use. GPU, memory, track trace. 
other profilers wandb, neptune 
Also, pre-train 24hours Bert before next BOW meeting. 

Rui:
Opinion about keeping data and script separate. Edison gave a lot.
Edison (conflicting) version control with different releases. 
Rui: we will release a public repo. for all codes. 
NCI gitlab has limitation, we may use other git. 

Rui showed his data index work. 

Rahul's work
HP work: data storage switches, detecting error before occurring. 
worked for six month, left for Covid
In india worked for two years business analysis  in family farm.

Here, in ANU:  
Research work, optimise Blas for Gadi and Pawsey. using machine learning. 
like how many threads to use. 
Me: which machine learning framework, 
he is still looking in literature. 
Yui: how long using Gadi, Rahul: two months, but ANU work six moths. 
Rahul: previous guy had one machine learning framework. He is not sure still looking. 
Working in ANU for six months and three more months to go. 















